Subject: Re: bug#54063: automake cannot run without generated Texinfo manual

From: [email-masked]
Date: Sat, 26 Feb 2022 00:23:48 +0100

On Fri, Feb 25, 2022 at 04:06:34PM -0700, Karl Berry wrote:
> Adding a note to the manual is fine, but what would be (much) more
> likely to actually get noticed by users is a runtime warning. What is
> the actual behavior when the basename and @setfilename don't match?
> Sorry to be clueless ...

Runtime warning in texi2any or automake?

I experienced this issue with automake one time, not on purpose.  I
don't quite remember well, but my recalling is that the output file was
always rebuilt as automake had determined the output file name and the
rules when run previously using the basename, while the files where
created using the @setfilename by makeinfo.

-- 
Pat